/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.sensor.cropcircle;

import nl.cloudfarming.client.sensor.SensorDataVisualElement;
import org.netbeans.core.spi.multiview.MultiViewElement;
import org.openide.util.Lookup;
import org.openide.util.NbBundle;
import org.openide.windows.TopComponent;

/**
 * Visual element for the CropCircle sensor data
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@MultiViewElement.Registration(displayName = "#LBL_CropCircle_VISUAL",
iconBase = CropCircleDataObject.ICON_BASE,
mimeType = CropCircleDataObject.MIME_TYPE,
persistenceType = TopComponent.PERSISTENCE_NEVER,
preferredID = "nl.cloudfarming.client.sensor.cropcircle.CropCircleVisualElement",
position = 100)
@NbBundle.Messages("LBL_CropCircle_VISUAL=Visual")
public class CropCircleVisualElement extends SensorDataVisualElement {

    public CropCircleVisualElement(Lookup lkp) {
        super(lkp);
    }

    @Override
    public String getName() {
        return "CropCircleVisualElement";
    }
}
