/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.sensor.cropcircle;

/**
 *  enum for defining fields in the crop circle files
 *  
 *  @author Merijn Zengers
 */


public enum CropcircleASC340FileDescription {
        /* Longitude of measured cropcircle coordinate */
	LONGITUDE(), //12 0003.8513480
	
        /* Latitude of measured cropcircle coordinate */
        LATITUDE(), //12 0051.5193244
        
        /*  */
	FIX_TYPE(), //1 4
        
        /* UTC Standard time */
	UTC_TIME(), //9 042352.06
              
        /* Speed of vehicle at the moment this coordinate is measured. Unit? KM/h? Miles/h? */
	SPEED(), //3 0.0
        
        /* Coure of the sensor */
	COURSE(), //5 175.8
        
        /* Number of the sensor. (It is possible that more then one sensor is active at the same time.) */
	SENSOR(), //1 1
        
        /* Vegetation Index calculated with the formula: (R2-R1)/(R2+R1) Rounded on 3 decimals. */
	VI1(), //6  0.000
        
        /* Vegetation Index calculated with the formula: (R2-R3)/(R2+R3) Rounded on 3 decimals. */
	VI2(), //7 999.000
        
        /* Reflection measurement, done on a wavelength of 670nm */
	R1(), //8 999.0000
        
        /* Reflection measurement, done on a wavelength of 730nm */
	R2(), //8 999.0000
        
        /* Reflection measurement, done on a wavelength of 780nm */
	R3(), //8 999.0000
        
        /**/
	APP_RATE(); //1

	
	private CropcircleASC340FileDescription(){
		
	}
}
