/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it
 * is applied to this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * AgroSense. If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.sensor.cropcircle.view;

import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import net.miginfocom.swing.MigLayout;
import org.openide.util.NbBundle;

@NbBundle.Messages({"CropcircleMetadataPanel.fileFormatLabel.toolTipText=Field to specify the file format of the cropcircle sensor file.",
                    "CropcircleMetadataPanel.fileFormatLabel.text=Cropcircle file format",
                    "CropcircleMetadataPanel.sensorTypeLabel.text=Sensor type"})
public class CropcircleMetadataPanel extends JPanel {

    private javax.swing.JComboBox dateFormatComboBox;
    private javax.swing.JLabel fileFormatLabel;
    private javax.swing.JComboBox sensorTypeComboBox;
    private javax.swing.JLabel sensorTypeLabel;
    private static final String[] FILE_FORMATS = new String[]{"DDMMYY", "YYYYMMDD"};
    private static final String[] SENSOR_TYPES = new String[]{"ACS-430", "ACS-470"};

    CropcircleMetadataPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     */
    private void initComponents() {

        fileFormatLabel = new JLabel(Bundle.CropcircleMetadataPanel_fileFormatLabel_text());
        fileFormatLabel.setToolTipText(Bundle.CropcircleMetadataPanel_fileFormatLabel_toolTipText());
        dateFormatComboBox = new JComboBox();
        dateFormatComboBox.setModel(new DefaultComboBoxModel(FILE_FORMATS));
        sensorTypeLabel = new JLabel(Bundle.CropcircleMetadataPanel_sensorTypeLabel_text());
        sensorTypeComboBox = new JComboBox();
        sensorTypeComboBox.setModel(new DefaultComboBoxModel(SENSOR_TYPES));


        MigLayout layout = new MigLayout("wrap 2");
        this.setLayout(layout);
        this.add(fileFormatLabel);
        this.add(dateFormatComboBox, "right, wrap");

        this.add(sensorTypeLabel);
        this.add(sensorTypeComboBox, "right, wrap");

    }

    public JComboBox getDateFormatComboBox() {
        return dateFormatComboBox;
    }

    public JComboBox getSensorTypeComboBox() {
        return sensorTypeComboBox;
    }
}
